Package org.eclipse.net4j.db

# Class StatementBatcher.BatchEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.db.StatementBatcher.BatchEvent

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

Enclosing class:
  `StatementBatcher`

public static final class StatementBatcher.BatchEvent extends org.eclipse.net4j.util.event.Event

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSQL()`
`String`
`toString()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSQL

public String getSQL()

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.net4j.util.event.Event`